PHP 5.5.10 发布

fei
 fei
发布于 2014年03月07日
收藏 4

脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。

完全改进:

Version 5.5.10

6-Mar-2014

  • Core:

    • Fixed bug #66574 (Allow multiple paths in php_ini_scanned_path).

  • Date:

    • Fixed bug #45528 (Allow the DateTimeZone constructor to accept timezones    per offset too).

  • Fileinfo:

    • Fixed bug #66731 (file: infinite recursion (CVE-2014-1943)).

    • Fixed bug #66820 (out-of-bounds memory access in fileinfo (CVE-2014-2270)).

  • GD:

    • Fixed bug #66815 (imagecrop(): insufficient fix for NULL defer (CVE-2013-7327)).

  • JSON:

    • Fixed bug #65753 (JsonSerializeable couldn't implement on module extension).

  • LDAP:

    • Implemented ldap_modify_batch (https://wiki.php.net/rfc/ldap_modify_batch).

  • Openssl:

    • Fixed bug #66501 (Add EC key support to php_openssl_is_private_key).

  • PCRE:

    • Upgraded to PCRE 8.34.

  • Pgsql:

    • Added warning for dangerous client encoding and remove possible injections    for pg_insert()/pg_update()/pg_delete()/pg_select().

下载:http://us3.php.net/distributions/php-5.5.10.tar.bz2

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:PHP 5.5.10 发布
加载中

最新评论(8

Tuesday
Tuesday

引用来自“fei”的评论

5.4.26也已发布
Version 5.4.26
06-Mar-2014

JSON:
Fixed bug #65753 (JsonSerializeable couldn't implement on module extension)
Fileinfo:
Fixed bug #66731 (file: infinite recursion) (CVE-2014-1943).
Fixed bug #66820 (out-of-bounds memory access in fileinfo) (CVE-2014-2270).
LDAP:
Implemented ldap_modify_batch (https://wiki.php.net/rfc/ldap_modify_batch).
Openssl:
Fixed bug #66501 (Add EC key support to php_openssl_is_private_key).
Pgsql:
Added warning for dangerous client encoding and remove possible injections for pg_insert()/pg_update()/pg_delete()/pg_select().

没搞懂5.4更新的意义. 最后支持的vc9?
为什么不直接对5.2进行更新?
easytzb
easytzb

引用来自“ZJC”的评论

引用来自“dulios”的评论

引用来自“风起q”的评论

引用来自“Pader”的评论

引用来自“G.”的评论

脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。
------------------

这样的排序, 有几个人能一眼看明白?!

呵呵呵

呵呵呵呵

呵呵呵呵呵

呵呵呵呵呵呵

呵呵呵呵呵呵呵呵
fei
fei
5.4.26也已发布
Version 5.4.26
06-Mar-2014

JSON:
Fixed bug #65753 (JsonSerializeable couldn't implement on module extension)
Fileinfo:
Fixed bug #66731 (file: infinite recursion) (CVE-2014-1943).
Fixed bug #66820 (out-of-bounds memory access in fileinfo) (CVE-2014-2270).
LDAP:
Implemented ldap_modify_batch (https://wiki.php.net/rfc/ldap_modify_batch).
Openssl:
Fixed bug #66501 (Add EC key support to php_openssl_is_private_key).
Pgsql:
Added warning for dangerous client encoding and remove possible injections for pg_insert()/pg_update()/pg_delete()/pg_select().
理工小强
理工小强
你们讨论了个啥 分词的话 会不会是 南京 长江大桥 又 堵 。。。
dulios
dulios

引用来自“风起q”的评论

引用来自“Pader”的评论

引用来自“G.”的评论

脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。
------------------

这样的排序, 有几个人能一眼看明白?!

呵呵呵

呵呵呵呵

呵呵呵呵呵
z
zx32342342

引用来自“Pader”的评论

引用来自“G.”的评论

脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。
------------------

这样的排序, 有几个人能一眼看明白?!

呵呵呵

呵呵呵呵
Pader
Pader

引用来自“G.”的评论

脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。
------------------

这样的排序, 有几个人能一眼看明白?!

呵呵呵
G.
G.
脚本语言PHP最新稳定版5.5.10发布.2014-03-06.上个版本是2014-02-06的5.5.9。修正了 CVE-2014-1943, CVE-2014-2270,CVE-2013-7327等大约10个Bug.5.4未更新还是2014-02-06的5.4.25.5.3除非重大安全 漏洞已不做常规更新(5.3.28)。
------------------

这样的排序, 有几个人能一眼看明白?!
返回顶部
顶部